Subject: Re: ML403, 2.6.17.1 kernel panic

From: Andrei Konovalov <[email-masked]>
Date: Tue, 23 Jan 2007 20:11:12 +0300

Hi Chris,

alayrac christophe wrote:
> Hi Andrei,
> 
> Thanks for your help.
> 
> I've had a quick look in hardware design and as SGDMA is activated the
> packet fifo is no accessible.
> 
> Do you think that some declarations are missing in xparameters_ml403.h
> to properly declare SGDMA or is it coming from drivers code?

I would recommend to double check the xparameters_ml403.h and the code
to fill the platform data for TEMAC.

> Note : 
>  I use plb-temac v3.00a and hard_temac v3.00b, with EDK 8.2.02
>  Kernel source from kernel.org (also tested with git linux-xilinx-26
> from mvista)
>  temac patch from mvista (PAULUS)
>  
> Regards
> 
> Chris
> 
> Le mardi 23 janvier 2007 à 15:46 +0300, Andrei Konovalov a écrit :
>> Hi Chris,
>>
>>  From you log it seems like the kernel tries to initialize the TEMAC's FIFO but fails.
>> Do you have TEMAC configured in FIFO mode in your design?
>>
>> Thanks,
>> Andrei
>>
>> alayrac christophe wrote:
>>> Hi all,
>>>
>>> I did not succeed to start kernel 2.6.17.1 on ML403 platform.
>>>
>>> Any help would be appreciated.
>>>
>>> Please foind log message here after
>